Bug 116703 - Standard function time called without parameters
Summary: Standard function time called without parameters
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: usermode   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-24 15:30 UTC by Eugeny Klementev
Modified: 2013-07-02 22:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 21:06:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugeny Klementev 2004-02-24 15:30:02 UTC
There is error during building package usermode-1.68-5 from 
Enterprise Linux 3.0 distributoin with Intel compiler.

Command line:
> icc -DHAVE_CONFIG_H -I. -I. -I. -I/usr/include/startup-notification-
1.0 -I/usr/include/libwnck-1.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-
2.0/include -I/usr/
include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -
I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-
2.0/include -I/usr/include/li
bglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -
I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-
1.0 -I/usr/X11R6/include -I/
usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-
2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -O2 -
g -pipe -march=i386 -mcpu
=i686 -Wall -Wuninitialized -Wunused -std=c99 -D_GNU_SOURCE -
DDATADIR=\"/usr/share\" -DGETTEXT_PACKAGE=\"usermode\" -MT 
gsmclient.o -MD -MP -MF ".deps/gsmcl
ient.Tpo" -c -o gsmclient.o gsmclient.c


Error occured in file gsmclient.c in line 931.
-- cutted --
> 929:  return g_strdup_printf ("%d-%d-%u", 
> 930:                          (int) getpid (), 
> 931:                          (int) time (),    <-------- 
> 932:                          g_random_int ()); 
-- cutted --
Function "time" has prototype "time_t time(time_t*)", but it is 
called without parameters.
gcc compiler shows warning
> gsmclient.c:931: warning: implicit declaration of function `time'
and defines it as "int time(void)". In this case stack can be 
corrupted.

Comment 1 Jindrich Novy 2004-10-07 21:06:53 UTC
Hello Eugene, intel compiler is not a part of RHEL3, so the errors in
compilation using icc we won't fix. If a similar error occur when
you're compiling usermode with gcc, please report a new bug.

thanks,
Jindrich


Note You need to log in before you can comment on or make changes to this bug.